SystemOrganization addCategory: #ConfigurationOfRizel!

Object subclass: #ConfigurationOfRizel
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfRizel'!

!ConfigurationOfRizel class methodsFor: 'development support' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfRizel class methodsFor: 'private' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfRizel class methodsFor: 'private' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfRizel class methodsFor: 'private' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfRizel class methodsFor: 'metacello tool support' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRizel class methodsFor: 'loading' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfRizel class methodsFor: 'loading' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfRizel class methodsFor: 'loading' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfRizel class methodsFor: 'accessing' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
project

	^self new project! !

!ConfigurationOfRizel class methodsFor: 'development support' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfRizel methodsFor: 'baselines' stamp: 'JuanPabloSandovalAlcocer 7/10/2012 01:07'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Rizel'.
		spec 
			package: 'Rizel-Core';
			package: 'Rizel-Builder';
			package: 'Rizel-Example';
			package: 'Rizel-Roassal-Views';
			package: 'Rizel-Spy-Profiler'.  ].
! !

!ConfigurationOfRizel methodsFor: 'baselines' stamp: 'JuanPabloSandovalAlcocer 8/10/2012 20:51'!
baseline11: spec
	<version: '1.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Rizel'.
		spec project: 'Metacello ToolBox' with: [
				spec
					className: 'ConfigurationOfMetacello';
					version: #'stable';
					loads: #('Metacello-ToolBox');
					repository: 'http://seaside.gemstone.com/ss/metacello';
					repository: 'http://www.squeaksource.com/metacello'.].
		spec
			project: 'Spy for Rizel' with: [
				spec
					className: 'ConfigurationOfSpy';
					file: 'ConfigurationOfSpy';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/Glamour'].
		spec
			package: 'Rizel-Roassal-Views';
			package: 'Rizel-Spy-Profiler';
			package: 'Rizel-Core' ;
			package: 'Rizel-Builder' ;
			package: 'Rizel-Example';
			package: 'Rizel-Test-Scenario';
			package: 'Rizel-Tools';
			package: 'Rizel-Spy-Profiler-Tests';
			package: 'Rizel-Core-Tests';
			package: 'Rizel-Builder-Tests';
			package: 'Rizel-Roassal-Views-Tests'. ].
! !

!ConfigurationOfRizel methodsFor: 'symbolic versions' stamp: 'JuanPabloSandovalAlcocer 7/10/2012 01:08'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.5'.
! !

!ConfigurationOfRizel methodsFor: 'accessing' stamp: 'JuanPabloSandovalA 6/24/2012 16:20'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfRizel methodsFor: 'symbolic versions' stamp: 'JuanPabloSandovalAlcocer 8/10/2012 20:51'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.5'.
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalA 6/24/2012 16:22'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : First Release of Rizel'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '6/24/2012 16:22'.
		spec 
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalA.6';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.2';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalA.3';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalA.4';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalA.3';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalA.5'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalA 6/24/2012 17:14'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : First Release of Rizel
1.1 : adding test cases'.
		spec author: 'JuanPabloSandovalA'.
		spec timestamp: '6/24/2012 17:14'.
		spec 
			package: 'Rizel-Core' with: 'Rizel-Core-JPSA.7';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.4';
			package: 'Rizel-Example' with: 'Rizel-Example-JPSA.4';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JPSA.5';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JPSA.4';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalA.6'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 6/30/2012 20:17'!
version12: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.1 : adding test cases
1.2 : Adding comments in Builder package
des'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '6/30/2012 20:17'.
		spec 
			package: 'Rizel-Core' with: 'Rizel-Core-JPSA.7';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalA.5';
			package: 'Rizel-Example' with: 'Rizel-Example-JPSA.4';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JPSA.5';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JPSA.4';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalA.7'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 22:13'!
version13: spec
	<version: '1.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.2 : Adding comments in Builder package
1.3 : adding Holmes an especification of rizel
test description
1.4 : Refactoring packages'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '7/7/2012 22:13'.
		spec 
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.10';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Holmes' with: 'Rizel-Holmes-JuanPabloSandovalA.1';
			package: 'Rizel-Tracker' with: 'Rizel-Tracker-JuanPabloSandovalA.1';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalAlcocer.6';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalAlcocer.7';
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.6';
			package: 'Rizel-Test' with: 'Rizel-Test-JuanPabloSandovalA.8'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 7/10/2012 01:08'!
version14: spec
	<version: '1.4' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Refactoring
1.4 : minor fixes and adding examples in RzRizelDemo
1.4 :
1.4 :
1.4 :'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '7/10/2012 01:08'.
		spec 
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.7';
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.11';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.10';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalAlcocer.7';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JuanPabloSandovalAlcocer.2';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalAlcocer.2'. ].
! !

!ConfigurationOfRizel methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocer 8/10/2012 14:37'!
version15: spec
	<version: '1.5' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.5 : Addding rizel browser'.
		spec author: 'JuanPabloSandovalAlcocer'.
		spec timestamp: '8/10/2012 14:37'.
		spec 
			package: 'Rizel-Spy-Profiler' with: 'Rizel-Spy-Profiler-JuanPabloSandovalAlcocer.8';
			package: 'Rizel-Core' with: 'Rizel-Core-JuanPabloSandovalAlcocer.11';
			package: 'Rizel-Builder' with: 'Rizel-Builder-JuanPabloSandovalAlcocer.10';
			package: 'Rizel-Roassal-Views' with: 'Rizel-Roassal-Views-JuanPabloSandovalAlcocer.9';
			package: 'Rizel-Example' with: 'Rizel-Example-JuanPabloSandovalAlcocer.8';
			package: 'Rizel-Test-Scenario' with: 'Rizel-Test-Scenario-JuanPabloSandovalAlcocer.5';
			package: 'Rizel-Tools' with: 'Rizel-Tools-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Spy-Profiler-Tests' with: 'Rizel-Spy-Profiler-Tests-JuanPabloSandovalAlcocer.4';
			package: 'Rizel-Core-Tests' with: 'Rizel-Core-Tests-JuanPabloSandovalAlcocer.3';
			package: 'Rizel-Builder-Tests' with: 'Rizel-Builder-Tests-JuanPabloSandovalAlcocer.1';
			package: 'Rizel-Roassal-Views-Tests' with: 'Rizel-Roassal-Views-Tests-JuanPabloSandovalAlcocer.2'. ].
! !
